<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Todo Vue</title>
  <link rel="stylesheet" href="node_modules/todomvc-app-css/index.css">
</head>

<body>

  <section class="todoapp">
    <header class="header">
      <h1>{{ title }}</h1>
      <input class="new-todo" placeholder="What needs to be done?"  @keyup.enter="createTodo" autofocus>
    </header>

    <!-- This section should be hidden by default and shown when there are todos -->
    <section class="main" v-if="todos.length">
      <input id="toggle-all" class="toggle-all" type="checkbox">
      <label for="toggle-all">Mark all as complete</label>
      <ul class="todo-list">

        <!-- Is the obj/var 'todo' created in the condition for 'v-for'?
         Yes. It is only a var to hold the value of every item in the list 
          that is created in data -> todos. I figured it out bc of the same attributes as the one I wrote earlier. (isDone) -->

        <li v-for="todo in todos" :class="{ completed: todo.isDone, editing: todo === editing }">
          <div class="view">
            <input class="toggle" type="checkbox" v-model="todo.isDone">
            <label @dblclick="startEditing(todo)">{{ todo.text }}</label>
            <button class="destroy" @click="destroyTodo(todo)"></button>
          </div>
          <input class="edit" 
          @keyup.esc="cancelEditing" 
          @keyup.enter="finishEditing"
          @blur="finishEditing"
          :value="todo.text">
        </li>
      </ul>
    </section>

    <!-- This footer should hidden by default and shown when there are todos -->
    <footer class="footer" v-if="todos.length">
      <!-- This should be `0 items left` by default -->
      <span class="todo-count">
        <strong>{{ activeTodos.length }}</strong> item(s) left</span>

      <!-- Remove this if you don't implement routing -->
      <ul class="filters">
        <li>
          <a class="selected" href="#/">All</a>
        </li>
        <li>
          <a href="#/active">Active</a>
        </li>
        <li>
          <a href="#/completed">Completed</a>
        </li>
      </ul>

      <!-- Hidden if no completed items are left ↓ -->
      <button class="clear-completed" @click="clearCompleted" v-show="completedTodos.length">Clear completed</button>
    </footer>
  </section>

  <footer class="info">
    <p>Double-click to edit a todo</p>
  </footer>
  
  <!-- Scripts here ↓ -->
  <script src="node_modules/vue/dist/vue.js"></script>
  <script src="node_modules/vue-router/dist/vue-router.js"></script>
  <script src="app.js"></script>
</body>

</html>